Subject: Re: bug#18417: 24.3.93; posn-at-point confused by fill-column-indicator

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Sep 2014 22:43:49 +0300

> Date: Sun, 07 Sep 2014 22:55:34 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> > The recipe in
> > effect invokes undefined behavior in posn-at-point, because fci-mode
> > uses a zero-length (a.k.a. "empty") overlay to place, in a very
> > convoluted way, a stretch of whitespace followed by an image, before
> > the newline.
> 
> If it's a problem, would you maybe suggest a better way to implement 
> this feature, for the Fill-Column-Indicator author?

I could try, but right now I don't feel I understand all the subtle
details and reasons that led to such an implementation.

There are 2 special characters, u+e000 and u+e001, each one has a
display-table setting to display it as something else, then there's an
empty overlay with an after-string made of these special characters
that has a display property with :align-to, followed by an image...
And I'm not sure I listed all of the "features".  (The 'cursor'
property I omitted intentionally, because I believe I know why they
are needed.)  Why each one of these is needed?